
Website Input - Bug #1662

Firefox rendering fails on headless environments

12/19/2016 10:13 PM - Luke Murphey

Status: Closed Start date: 12/19/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Unit Tests Estimated time: 0.00 hour

Target version: 4.0.2   

Description

WebDriverException: Message: connection refused

History

#1 - 12/19/2016 10:13 PM - Luke Murphey

It could be due to the fact that server is headless. I wonder if the inputs run?

#2 - 12/19/2016 10:14 PM - Luke Murphey

http://stackoverflow.com/questions/39547598/selenium-common-exceptions-webdriverexception-message-connection-refused

#3 - 12/19/2016 10:18 PM - Luke Murphey

- Subject changed from Firefox tests fail to Firefox rendering fails

Confirmed that this is not only a test failure, the server fails too.

#4 - 12/20/2016 05:11 AM - Luke Murphey

https://pypi.python.org/pypi/PyVirtualDisplay (0.2.1)

https://pypi.python.org/pypi/EasyProcess (0.2.3)

#5 - 12/20/2016 05:51 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

#6 - 12/20/2016 05:52 AM - Luke Murphey

- Subject changed from Firefox rendering fails to Firefox rendering fails on headless environments
